curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/events/{externalEventId} \
--header 'Authorization: Bearer <token>'{
"attendees": 123,
"cancellations": 123,
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalEventId": "<string>",
"id": "<string>",
"noShows": 123,
"registrants": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"objectId": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}Returns the details of a Marketing Event with the specified externalAccountId, externalEventId, if it exists.
Only Marketing Events created by the same app making the request can be retrieved.
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/events/{externalEventId} \
--header 'Authorization: Bearer <token>'{
"attendees": 123,
"cancellations": 123,
"createdAt": "2023-11-07T05:31:56Z",
"customProperties": [
{
"dataSensitivity": "high",
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"source": "ACADEMY",
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
}
],
"eventName": "<string>",
"eventOrganizer": "<string>",
"externalEventId": "<string>",
"id": "<string>",
"noShows": 123,
"registrants": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"eventCancelled": true,
"eventCompleted": true,
"eventDescription": "<string>",
"eventType": "<string>",
"eventUrl": "<string>",
"objectId": "<string>",
"startDateTime": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
The number of HubSpot contacts that attended this marketing event.
The number of HubSpot contacts that registered for this marketing event, but later cancelled their registration.
The creation date and time of the marketing event.
A list of PropertyValues. These can be whatever kind of property names and values you want. However, they must already exist on the HubSpot account's definition of the MarketingEvent Object. If they don't they will be filtered out and not set. In order to do this you'll need to create a new PropertyGroup on the HubSpot account's MarketingEvent object for your specific app and create the Custom Property you want to track on that HubSpot account. Do not create any new default properties on the MarketingEvent object as that will apply to all HubSpot accounts.
Show child attributes
The name of the marketing event.
The name of the organizer of the marketing event.
The id of the marketing event in the external event application.
The ID of the marketing event CRM object.
The number of HubSpot contacts that registered for this marketing event, but did not attend. This field only had a value when the event is over.
The number of HubSpot contacts that registered for this marketing event.
The update date and time of the marketing event.
The end date and time of the marketing event.
Indicates if the marketing event has been cancelled.
Indicates if the marketing event has been completed.
The description of the marketing event.
The type of the marketing event.
A URL in the external event application where the marketing event can be managed.
The ID of the marketing event CRM object.
The start date and time of the marketing event.
Was this page helpful?